// Craig S. Kaplan
// Generate random coin flips, eight at a time.  Press
// space to flip eight new coins (using the noLoop()/loop()
// trick instead of setting a random seed).  After each round,
// the sketch prints out the total number of heads and tails
// flipped.  You should see over time that these two numbers
// stay roughly equal -- that's the statistical nature of
// random numbers at work.

PImage heads;
PImage tails;
int th = 0;
int tt = 0;

void setup()
{
  size( 800, 100 );
  heads = loadImage( "heads.png" );
  heads.resize( 0, 100 );
  tails = loadImage( "tails.png" );
  tails.resize( 0, 100 );
}

void draw()
{
  background( 50 );
  float x = 0.0;
  while ( x < width ) {
    if ( random(1) < 0.5 ) {
      image( heads, x, 0 );
      x += heads.width;
      ++th;
    } else {
      image( tails, x, 0 );
      x += tails.width;
      ++tt;
    }
  }
  println( th, tt );
  noLoop();
}

void keyPressed()
{
  loop();
}